Kodi Community Forum

Full Version: Weather Underground
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
(2013-03-25, 02:44)ronie Wrote: [ -> ]latest test version:
weather.wunderground-1.0.11.zip


changelog:

v1.0.11
- fix corrupted alert message

v1.0.10
- fix potential crash on invalid json response
- fix api error response check
- added gzip compression support

How can I upgrade to the latest release under Eden (Frodo causes playback issues on my HTPC)? I tried installing v1.0.11 from Zip but received a "dependencies not met" error. Need the upgrade to address the bogus temperatures after resuming from standby.

Log file reports "Addon weather.wunderground requires xbmc.python version 2.1.0 which is not available"
(2013-05-06, 17:55)kitana Wrote: [ -> ]
(2013-03-25, 02:44)ronie Wrote: [ -> ]latest test version:
weather.wunderground-1.0.11.zip


changelog:

v1.0.11
- fix corrupted alert message

v1.0.10
- fix potential crash on invalid json response
- fix api error response check
- added gzip compression support

How can I upgrade to the latest release under Eden (Frodo causes playback issues on my HTPC)? I tried installing v1.0.11 from Zip but received a "dependencies not met" error. Need the upgrade to address the bogus temperatures after resuming from standby.

Log file reports "Addon weather.wunderground requires xbmc.python version 2.1.0 which is not available"

just manually unzip the zipfile into the addons directory and you should be fine.
(2013-05-06, 18:12)ronie Wrote: [ -> ]
(2013-05-06, 17:55)kitana Wrote: [ -> ]
(2013-03-25, 02:44)ronie Wrote: [ -> ]latest test version:
weather.wunderground-1.0.11.zip


changelog:

v1.0.11
- fix corrupted alert message

v1.0.10
- fix potential crash on invalid json response
- fix api error response check
- added gzip compression support

How can I upgrade to the latest release under Eden (Frodo causes playback issues on my HTPC)? I tried installing v1.0.11 from Zip but received a "dependencies not met" error. Need the upgrade to address the bogus temperatures after resuming from standby.

Log file reports "Addon weather.wunderground requires xbmc.python version 2.1.0 which is not available"

just manually unzip the zipfile into the addons directory and you should be fine.

That worked great. Thanks!
I can't change the weather,
It's stuck on saint hubert,
Tried to change it to Sunderland but it won't change to anything
Also tried adding them to location 2 and 3 but nothing happens.
I'm using the latest stable version of everything
(2013-05-15, 14:33)leetut Wrote: [ -> ]I can't change the weather,
It's stuck on saint hubert,
Tried to change it to Sunderland but it won't change to anything
Also tried adding them to location 2 and 3 but nothing happens.
I'm using the latest stable version of everything

and what might those 'latest stable version of everything' be?
latest test version:
weather.wunderground-1.0.15.zip

v1.0.15
- fix animated radar images (this was broken on nighly xbmc builds only)

v1.0.14
- add support for 5 locations (only works on nightly xbmc builds)
- fix possible incorrect display of location name
- remove old backward compatibility code
thanks for fixing the nightly build issue. Any plans to update it in git under xbmc/addons?
(2013-06-18, 07:45)Voyager Wrote: [ -> ]thanks for fixing the nightly build issue. Any plans to update it in git under xbmc/addons?

sure thing, just wanted a quick test round before pushing it to mainline.
Hey

I get a error: script failed everytime xbmc tries to update the weather status. Here´s the xbmc.log with debugging turned on (partially)
http://paste.ubuntu.com/5872659/
but I think it´s pretty clear whats the issue

What is the cause for this and how can I fix it? It still works fine, but the error kinda annoys me...

EDIT: removed the Code because it seemingly was annoying
Read the forum rules, only full logs allowed and not posted directly on the forum. That kind of annoys us too.
(2013-07-14, 10:20)Martijn Wrote: [ -> ]Read the forum rules, only full logs allowed and not posted directly on the forum. That kind of annoys us too.

yeah... I posted the full log already Huh and just pointed at the part that seems to be the problem. You are not helping with that comment
(2013-07-14, 02:28)bonesawmcl Wrote: [ -> ]Hey

I get a error: script failed everytime xbmc tries to update the weather status. Here´s the xbmc.log with debugging turned on (partially)
http://paste.ubuntu.com/5872659/
but I think it´s pretty clear whats the issue

What is the cause for this and how can I fix it? It still works fine, but the error kinda annoys me...

EDIT: removed the Code because it seemingly was annoying

it should be fixed if you update to the latest xbmc nightly build,
or use v1.0.15 of the wunderground addon (download link is in the first post)
Weather stopped working ?

not really... in the last version of the addon, you will have to enable weather retrieval.
go to Settings > Weather > Weather Underground - Settings


Image

Older versions of XBMC (Eden) are no longer supported by this addon.
if you are still using XBMC Eden, please switch to the Yahoo! Weather addon.



the reason for this change is Weather Underground not being happy with the load we put on their service.
by making this tiny change, we hope to limit the burden somewhat.
those who are interested in weather in xbmc, can easily enable it as described above.
while others, who don't care, won't have it running in the background by default anymore.

thanx for your understanding!
For all of you stuck on EDEN - WorldWeatherOnline plugin still works Wink
(2013-07-18, 22:29)ronie Wrote: [ -> ]Weather stopped working ?

not really... in the last version of the addon, you will have to enable weather retrieval.
go to Settings > Weather > Weather Underground - Settings


Image

Older versions of XBMC (Eden) are no longer supported by this addon.



the reason for this change is Weather Underground not being happy with the load we put on their service.
by making this tiny change, we hope to limit the burden somewhat.
those who are interested in weather in xbmc, can easily enable it as described above.
while others, who don't care, won't have it running in the background by default anymore.

thanx for your understanding!

Thanks that was the problem now only if I can get ESPN3 to work....